# List Creative Categories

Returns a list of creative categories available on the DSP.

Endpoint: GET /creative_categories
Security: SessionCookie

## Security:

  - `SessionCookie` (unknown)
    apiKey in header Cookie

## Query parameters:

  - `page_size` (integer)
    The maximum number of results to return per page.

  - `page` (integer)
    The zero-based page offset (page number ) to return. For example, 0 returns the first page, 1 returns the second page, and so on.

  - `order` (string)

  - `asc` (boolean)

  - `filter` (array)
    The field to filter by. You can specify multiple filter parameters.

When you apply filters to different fields, the results include only records that match all specified field values (AND logic). When you apply multiple filters to the same field, the results include records that match any of the specified values in that field (OR logic).

Supported Fields: `id`

  - `search` (array)
    Performs a substring search on a specified field. The search is case-insensitive.

Supported Fields: `name`

## Response 200:

  - `200` (unknown)
    Operation completed successfully.

## Response 200 fields (application/json):

  - `creative_categories` (array)

  - `creative_categories.id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `creative_categories.name` (string)
    Example: Food & Groceries

  - `total_size` (integer)

## Response 400:

  - `400` (unknown)
    Bad request. The request contains invalid syntax or encoding.

## Response 400 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 401:

  - `401` (unknown)
    Not authorized. Authentication is required to access the requested resource.

## Response 401 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 403:

  - `403` (unknown)
    Not authenticated. Re-authenticate to access the API.

## Response 403 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 404:

  - `404` (unknown)
    Not found. The requested resource doesn't exist.

## Response 404 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 422:

  - `422` (unknown)
    Invalid request. One or more request parameters are invalid. See the response for more details.

## Response 422 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 429 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 400 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 403 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

## Response 422 examples:

  - `response` (unknown)

## Response 429 examples:

  - `response` (unknown)

